<?php
namespace nur\v\base;

/**
 * Trait TPlugin: implémentation réutilisable de IPlugin
 */
trait TPlugin {
  function getCss() { return static::CSS; }
  function isDynamicCss(): bool { return false; }
  function printCss(): void {}

  function getJs() { return static::JS; }
  function isDynamicJs(): bool { return false; }
  function printJs(): void {}

  function haveJquery(): bool { return false; }
  function printJquery(): void {}
  function haveScript(): bool { return false; }
  function printScript(): void {}
}
